{ config, pkgs, lib, inputs, system, ... }:

let cfg = config.sydnix.wifi;
in {
  options.sydnix.wifi = {
    enable = lib.mkEnableOption "WiFi";
  };

  config = lib.mkIf cfg.enable {
    networking.networkmanager.enable = true;
    sydnix.impermanence.directories = [ "/etc/NetworkManager/system-connections" ];
  };
}
